package com.tzld.piaoquan.growth.common.common.enums;

import lombok.Getter;

@Getter
public enum MessageAttachmentTypeEnum {

    DEFAULT(0, "", "未知"),
    IMAGE(1, "image", "图片"),
    LINK(2, "link", "链接"),
    MINI_PROGRAM(3, "miniprogram", "小程序"),
    VIDEO(4, "video", "视频");

    final Integer code;
    final String type;
    final String desc;

    MessageAttachmentTypeEnum(Integer code, String type, String desc) {
        this.code = code;
        this.type = type;
        this.desc = desc;
    }

}
